Debian Bug report logs - #601558
[i830] Black screen with kms and i915 again

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Oliver Sander <sander@mi.fu-berlin.de>

Date: Wed, 27 Oct 2010 09:54:02 UTC

Severity: important

Found in version xserver-xorg-video-intel/2:2.9.1-4

Done: Cyril Brulebois <kibi@debian.org>

Bug is archived. No further changes may be made.

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 09:54:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to sander@zedat.fu-berlin.de:
New Bug report received and forwarded. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 09:54:05 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: sander@zedat.fu-berlin.de
To: bugs@debian.org
Subject: [i830] Black screen with kms and i915 again
Date: Wed, 27 Oct 2010 11:50:36 +0200
Package: xserver-xorg-video-intel
Version: 2:2.9.1-4
Severity: important

I updated my system today.  This replaced the kernel 2.6.32-5-686 (Debian
2.6.32-23)
by 2.6.32-5-686 (Debian 2.6.32-26), and the xserver-xorg-video-intel
driver 2:2.9.1-4
by 2:2.12.0+shadow-2.  This made my system completely unusable: upon
booting, the
screen goes black at the moment the frame buffer should be switched on. 
The system
appears to be working, but I can get neither X nor a text console.  The
symptoms
are hence the same as bug 593432 (and maybe I should have reopened that
one rather than
filing a new bug report).

Downgrading the kernel and xserver-xorg-video-intel made my system usable
again.
I am aware that for that reason the log files below are not worth much. 
If necessary
I can try to get log files with the actual packages 'in the dark'.


-- Package-specific info:
/var/lib/x11/X.roster does not exist.

/var/lib/x11/X.md5sum does not exist.

X server symlink status:
lrwxrwxrwx 1 root root 13 Jul 13 10:27 /etc/X11/X -> /usr/bin/Xorg
-rwxr-xr-x 1 root root 1733468 Oct 10 14:03 /usr/bin/Xorg

/var/lib/x11/xorg.conf.roster does not exist.

VGA-compatible devices on PCI bus:
00:02.0 VGA compatible controller: Intel Corporation 82830 CGC [Chipset
Graphics Controller] (rev 04)

/etc/X11/xorg.conf does not exist.

Kernel version (/proc/version):
Linux version 2.6.32-5-686 (Debian 2.6.32-23) (dannf@debian.org) (gcc
version 4.3.5 (Debian 4.3.5-3) ) #1 SMP Sat Sep 18 02:14:45 UTC 2010

Xorg X server log files on system:
-rw-r--r-- 1 root root 30868 Oct 27 11:38 /var/log/Xorg.0.log

Contents of most recent Xorg X server log file
/var/log/Xorg.0.log:

X.Org X Server 1.7.7
Release Date: 2010-05-04
X Protocol Version 11, Revision 0
Build Operating System: Linux 2.6.32.23-dsa-ia32 i686 Debian
Current Operating System: Linux baumann 2.6.32-5-686 #1 SMP Sat Sep 18
02:14:45 UTC 2010 i686
Kernel command line: BOOT_IMAGE=/boot/vmlinuz-2.6.32-5-686
root=UUID=2b4fbfbd-8cd8-4da5-b90c-7b281a41435b ro quiet
Build Date: 10 October 2010  11:57:07AM
xorg-server 2:1.7.7-8 (Cyril Brulebois <kibi@debian.org>)
Current version of pixman: 0.16.4
	Before reporting problems, check http://wiki.x.org
	to make sure that you have the latest version.
Markers: (--) probed, (**) from config file, (==) default setting,
	(++) from command line, (!!) notice, (II) informational,
	(WW) warning, (EE) error, (NI) not implemented, (??) unknown.
(==) Log file: "/var/log/Xorg.0.log", Time: Wed Oct 27 10:53:11 2010
(==) Using system config directory "/usr/share/X11/xorg.conf.d"
(==) No Layout section.  Using the first Screen section.
(==) No screen section available. Using defaults.
(**) |-->Screen "Default Screen Section" (0)
(**) |   |-->Monitor "<default monitor>"
(==) No monitor specified for screen "Default Screen Section".
	Using a default monitor configuration.
(==) Automatically adding devices
(==) Automatically enabling devices
(WW) The directory "/usr/share/fonts/X11/cyrillic" does not exist.
	Entry deleted from font path.
(==) FontPath set to:
	/usr/share/fonts/X11/misc,
	/usr/share/fonts/X11/100dpi/:unscaled,
	/usr/share/fonts/X11/75dpi/:unscaled,
	/usr/share/fonts/X11/Type1,
	/usr/share/fonts/X11/100dpi,
	/usr/share/fonts/X11/75dpi,
	/var/lib/defoma/x-ttcidfont-conf.d/dirs/TrueType,
	built-ins
(==) ModulePath set to "/usr/lib/xorg/modules"
(II) The server relies on udev to provide the list of input devices.
	If no devices become available, reconfigure udev or disable AutoAddDevices.
(II) Loader magic: 0x81ecca0
(II) Module ABI versions:
	X.Org ANSI C Emulation: 0.4
	X.Org Video Driver: 6.0
	X.Org XInput driver : 7.0
	X.Org Server Extension : 2.0
(++) using VT number 7

(--) PCI:*(0:0:2:0) 8086:3577:1028:0122 Intel Corporation 82830 CGC
[Chipset Graphics Controller] rev 4, Mem @ 0xe8000000/134217728,
0xe0000000/524288
(--) PCI: (0:0:2:1) 8086:3577:1028:0122 Intel Corporation 82830 CGC
[Chipset Graphics Controller] rev 0, Mem @ 0xf0000000/134217728,
0xe0080000/524288
(II) Open ACPI successful (/var/run/acpid.socket)
(II) LoadModule: "extmod"
(II) Loading /usr/lib/xorg/modules/extensions/libextmod.so
(II) Module extmod: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension SELinux
(II) Loading extension MIT-SCREEN-SAVER
(II) Loading extension XFree86-VidModeExtension
(II) Loading extension XFree86-DGA
(II) Loading extension DPMS
(II) Loading extension XVideo
(II) Loading extension XVideo-MotionCompensation
(II) Loading extension X-Resource
(II) LoadModule: "dbe"
(II) Loading /usr/lib/xorg/modules/extensions/libdbe.so
(II) Module dbe: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DOUBLE-BUFFER
(II) LoadModule: "glx"
(II) Loading /usr/lib/xorg/modules/extensions/libglx.so
(II) Module glx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(==) AIGLX enabled
(II) Loading extension GLX
(II) LoadModule: "record"
(II) Loading /usr/lib/xorg/modules/extensions/librecord.so
(II) Module record: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.13.0
	Module class: X.Org Server Extension
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension RECORD
(II) LoadModule: "dri"
(II) Loading /usr/lib/xorg/modules/extensions/libdri.so
(II) Module dri: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension XFree86-DRI
(II) LoadModule: "dri2"
(II) Loading /usr/lib/xorg/modules/extensions/libdri2.so
(II) Module dri2: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.1.0
	ABI class: X.Org Server Extension, version 2.0
(II) Loading extension DRI2
(==) Matched intel as autoconfigured driver 0
(==) Matched vesa as autoconfigured driver 1
(==) Matched fbdev as autoconfigured driver 2
(==) Assigned the driver to the xf86ConfigLayout
(II) LoadModule: "intel"
(II) Loading /usr/lib/xorg/modules/drivers/intel_drv.so
(II) Module intel: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.9.1
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "vesa"
(II) Loading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) Module vesa: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 2.3.0
	Module class: X.Org Video Driver
	ABI class: X.Org Video Driver, version 6.0
(II) LoadModule: "fbdev"
(II) Loading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) Module fbdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 0.4.2
	ABI class: X.Org Video Driver, version 6.0
(II) intel: Driver for Intel Integrated Graphics Chipsets: i810,
	i810-dc100, i810e, i815, i830M, 845G, 852GM/855GM, 865G, 915G,
	E7221 (i915), 915GM, 945G, 945GM, 945GME, Pineview GM, Pineview G,
	965G, G35, 965Q, 946GZ, 965GM, 965GME/GLE, G33, Q35, Q33, GM45,
	4 Series, G45/G43, Q45/Q43, G41, B43, Clarkdale, Arrandale
(II) VESA: driver for VESA chipsets: vesa
(II) FBDEV: driver for framebuffer: fbdev
(II) Primary Device is: PCI 00@00:02:0
(WW) Falling back to old probe method for vesa
(WW) Falling back to old probe method for fbdev
(II) Loading sub module "fbdevhw"
(II) LoadModule: "fbdevhw"
(II) Loading /usr/lib/xorg/modules/linux/libfbdevhw.so
(II) Module fbdevhw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.0.2
	ABI class: X.Org Video Driver, version 6.0
(EE) open /dev/fb0: No such file or directory
(II) Loading sub module "vgahw"
(II) LoadModule: "vgahw"
(II) Loading /usr/lib/xorg/modules/libvgahw.so
(II) Module vgahw: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 0.1.0
	ABI class: X.Org Video Driver, version 6.0
(II) Loading sub module "ramdac"
(II) LoadModule: "ramdac"
(II) Module "ramdac" already built-in
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: Searching for BusID pci:0000:00:02.0
drmOpenDevice: node name is /dev/dri/card0
drmOpenDevice: open result is 9, (OK)
drmOpenByBusid: drmOpenMinor returns 9
drmOpenByBusid: drmGetBusid reports pci:0000:00:02.0
(II) intel(0): Creating default Display subsection in Screen section
	"Default Screen Section" for depth/fbbpp 24/32
(==) intel(0): Depth 24, (--) framebuffer bpp 32
(==) intel(0): RGB weight 888
(==) intel(0): Default visual is TrueColor
(II) intel(0): Integrated Graphics Chipset: Intel(R) 830M
(--) intel(0): Chipset: "i830"
(--) intel(0): Linear framebuffer at 0xE8000000
(--) intel(0): IO registers at addr 0xE0000000 size 524288
(WW) intel(0): libpciaccess reported 0 rom size, guessing 64kB
(II) intel(0): No SDVO device is found in VBT
(II) intel(0): 2 display pipes available.
(II) Loading sub module "ddc"
(II) LoadModule: "ddc"
(II) Module "ddc" already built-in
(II) Loading sub module "i2c"
(II) LoadModule: "i2c"
(II) Module "i2c" already built-in
(II) intel(0): Output VGA has no monitor section
(II) intel(0): I2C bus "DVODDC_D" initialized.
(II) Loading sub module "sil164"
(II) LoadModule: "sil164"
(II) Loading /usr/lib/xorg/modules/drivers/sil164.so
(II) Module sil164: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) Loading sub module "ch7xxx"
(II) LoadModule: "ch7xxx"
(II) Loading /usr/lib/xorg/modules/drivers/ch7xxx.so
(II) Module ch7xxx: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_E" initialized.
(II) Loading sub module "ivch"
(II) LoadModule: "ivch"
(II) Loading /usr/lib/xorg/modules/drivers/ivch.so
(II) Module ivch: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org Video Driver, version 6.0
(II) intel(0): I2C bus "DVOI2C_E" removed.
(II) intel(0): I2C bus "DVOI2C_B" initialized.
(II) intel(0): I2C device "DVOI2C_B:i82807aa "ivch" LVDS/CMOS panel
controller" registered at address 0x04.
(II) intel(0): Output LVDS has no monitor section
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): EDID for output VGA
(II) intel(0): I2C device "DVODDC_D:ddc2" registered at address 0xA0.
(II) intel(0): EDID for output LVDS
(II) intel(0): Not using default mode "640x350" (vrefresh out of range)
(II) intel(0): Not using default mode "320x175" (doublescan mode not
supported)
(II) intel(0): Not using default mode "640x400" (vrefresh out of range)
(II) intel(0): Not using default mode "320x200" (doublescan mode not
supported)
(II) intel(0): Not using default mode "720x400" (vrefresh out of range)
(II) intel(0): Not using default mode "360x200" (doublescan mode not
supported)
(II) intel(0): Not using default mode "320x240" (doublescan mode not
supported)
(II) intel(0): Not using default mode "640x480" (vrefresh out of range)
(II) intel(0): Not using default mode "320x240" (doublescan mode not
supported)
(II) intel(0): Not using default mode "640x480" (vrefresh out of range)
(II) intel(0): Not using default mode "320x240" (doublescan mode not
supported)
(II) intel(0): Not using default mode "640x480" (vrefresh out of range)
(II) intel(0): Not using default mode "320x240" (doublescan mode not
supported)
(II) intel(0): Not using default mode "800x600" (vrefresh out of range)
(II) intel(0): Not using default mode "400x300" (doublescan mode not
supported)
(II) intel(0): Not using default mode "400x300" (doublescan mode not
supported)
(II) intel(0): Not using default mode "800x600" (vrefresh out of range)
(II) intel(0): Not using default mode "400x300" (doublescan mode not
supported)
(II) intel(0): Not using default mode "800x600" (vrefresh out of range)
(II) intel(0): Not using default mode "400x300" (doublescan mode not
supported)
(II) intel(0): Not using default mode "800x600" (vrefresh out of range)
(II) intel(0): Not using default mode "400x300" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1024x768" (interlace mode not
supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "512x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)
(II) intel(0): Not using default mode "512x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)
(II) intel(0): Not using default mode "512x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1024x768" (vrefresh out of range)
(II) intel(0): Not using default mode "512x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1280x960" (hsync out of range)
(II) intel(0): Not using default mode "640x480" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1280x960" (vrefresh out of range)
(II) intel(0): Not using default mode "640x480" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1280x1024" (hsync out of range)
(II) intel(0): Not using default mode "640x512" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) intel(0): Not using default mode "640x512" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1280x1024" (vrefresh out of range)
(II) intel(0): Not using default mode "640x512" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1200" (hsync out of range)
(II) intel(0): Not using default mode "800x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) intel(0): Not using default mode "800x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) intel(0): Not using default mode "800x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) intel(0): Not using default mode "800x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1200" (vrefresh out of range)
(II) intel(0): Not using default mode "800x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1792x1344" (hsync out of range)
(II) intel(0): Not using default mode "896x672" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1792x1344" (vrefresh out of range)
(II) intel(0): Not using default mode "896x672" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1856x1392" (hsync out of range)
(II) intel(0): Not using default mode "928x696" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1856x1392" (vrefresh out of range)
(II) intel(0): Not using default mode "928x696" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1920x1440" (hsync out of range)
(II) intel(0): Not using default mode "960x720" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) intel(0): Not using default mode "960x720" (doublescan mode not
supported)
(II) intel(0): Not using default mode "832x624" (vrefresh out of range)
(II) intel(0): Not using default mode "416x312" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (hsync out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1152x864" (vrefresh out of range)
(II) intel(0): Not using default mode "576x432" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1360x768" (monitor doesn't support
reduced blanking)
(II) intel(0): Not using default mode "680x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1360x768" (exceeds panel dimensions)
(II) intel(0): Not using default mode "680x384" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1400x1050" (hsync out of range)
(II) intel(0): Not using default mode "700x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "700x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "700x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1400x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "700x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1440x900" (hsync out of range)
(II) intel(0): Not using default mode "720x450" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1600x1024" (hsync out of range)
(II) intel(0): Not using default mode "800x512" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1680x1050" (hsync out of range)
(II) intel(0): Not using default mode "840x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1680x1050" (hsync out of range)
(II) intel(0): Not using default mode "840x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "840x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "840x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1680x1050" (vrefresh out of range)
(II) intel(0): Not using default mode "840x525" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1920x1080" (hsync out of range)
(II) intel(0): Not using default mode "960x540" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1920x1200" (hsync out of range)
(II) intel(0): Not using default mode "960x600" (doublescan mode not
supported)
(II) intel(0): Not using default mode "1920x1440" (vrefresh out of range)
(II) intel(0): Not using default mode "960x720" (doublescan mode not
supported)
(II) intel(0): Not using default mode "2048x1536" (hsync out of range)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not
supported)
(II) intel(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not
supported)
(II) intel(0): Not using default mode "2048x1536" (vrefresh out of range)
(II) intel(0): Not using default mode "1024x768" (doublescan mode not
supported)
(II) intel(0): Printing probed modes for output LVDS
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768
771 777 806 +hsync +vsync (48.4 kHz)
(II) intel(0): Modeline "1024x768"x60.0   65.00  1024 1048 1184 1344  768
771 777 806 -hsync -vsync (48.4 kHz)
(II) intel(0): Modeline "800x600"x60.3   40.00  800 840 968 1056  600 601
605 628 +hsync +vsync (37.9 kHz)
(II) intel(0): Modeline "640x480"x59.9   25.18  640 656 752 800  480 490
492 525 -hsync -vsync (31.5 kHz)
(II) intel(0): Output VGA disconnected
(II) intel(0): Output LVDS connected
(II) intel(0): Using exact sizes for initial modes
(II) intel(0): Output LVDS using initial mode 1024x768
(II) intel(0): Using default gamma of (1.0, 1.0, 1.0) unless otherwise
stated.
(II) intel(0): detected 128 kB GTT.
(II) intel(0): detected 8060 kB stolen memory.
(==) intel(0): video overlay key set to 0x101fe
(==) intel(0): DPI set to (96, 96)
(II) Loading sub module "fb"
(II) LoadModule: "fb"
(II) Loading /usr/lib/xorg/modules/libfb.so
(II) Module fb: vendor="X.Org Foundation"
	compiled for 1.7.7, module version = 1.0.0
	ABI class: X.Org ANSI C Emulation, version 0.4
(II) intel(0): Comparing regs from server start up to After PreInit
(II) UnloadModule: "vesa"
(II) Unloading /usr/lib/xorg/modules/drivers/vesa_drv.so
(II) UnloadModule: "fbdev"
(II) Unloading /usr/lib/xorg/modules/drivers/fbdev_drv.so
(II) UnloadModule: "fbdevhw"
(II) Unloading /usr/lib/xorg/modules/linux/libfbdevhw.so
(==) Depth 24 pixmap format is 32 bpp
(II) intel(0): Kernel reported 78080 total, 1 used
(II) intel(0): I830CheckAvailableMemory: 312316 kB available
(II) intel(0): [DRI2] Setup complete
(**) intel(0): Framebuffer compression disabled
(**) intel(0): Tiling enabled
(**) intel(0): SwapBuffers wait enabled
(==) intel(0): VideoRam: 131072 KB
(II) intel(0): Attempting memory allocation with tiled buffers.
(WW) intel(0): xf86AllocateGARTMemory: allocation of 10 pages failed
	(Cannot allocate memory)
(II) intel(0): Tiled allocation successful.
(II) intel(0): vgaHWGetIOBase: hwp->IOBase is 0x03d0, hwp->PIOOffset is
0x0000
(II) UXA(0): Driver registered support for the following operations:
(II)         solid
(II)         copy
(II)         composite (RENDER acceleration)
(==) intel(0): Backing store disabled
(==) intel(0): Silken mouse enabled
(II) intel(0): Initializing HW Cursor
(II) intel(0): xf86BindGARTMemory: bind key 0 at 0x07ff5000 (pgoffset 32757)
(II) intel(0): xf86BindGARTMemory: bind key 1 at 0x07ff6000 (pgoffset 32758)
(II) intel(0): xf86BindGARTMemory: bind key 2 at 0x07ffa000 (pgoffset 32762)
(II) intel(0): xf86BindGARTMemory: bind key 3 at 0x07ffb000 (pgoffset 32763)
(II) intel(0): xf86BindGARTMemory: bind key 4 at 0x07fff000 (pgoffset 32767)
(II) intel(0): Fixed memory allocation layout:
(II) intel(0): 0x007df000:            end of stolen memory
(II) intel(0): 0x007df000-0x07ff4fff: DRI memory manager (122968 kB)
(II) intel(0): 0x07ff5000-0x07ff5fff: Core cursor (4 kB,
0x0000000017335000 physical
)
(II) intel(0): 0x07ff6000-0x07ff9fff: ARGB cursor (16 kB,
0x00000000172b8000 physical
)
(II) intel(0): 0x07ffa000-0x07ffafff: Core cursor (4 kB,
0x00000000171bb000 physical
)
(II) intel(0): 0x07ffb000-0x07ffefff: ARGB cursor (16 kB,
0x0000000015880000 physical
)
(II) intel(0): 0x07fff000-0x07ffffff: overlay registers (4 kB,
0x0000000017150000 physical
)
(II) intel(0): 0x08000000:            end of aperture
(II) intel(0): BO memory allocation layout:
(II) intel(0): 0x007df000:            start of memory manager
(II) intel(0): 0x00800000-0x00bfffff: front buffer (4096 kB) X tiled
(II) intel(0): 0x07ff5000:            end of memory manager
(II) intel(0): VR00: 0xa202
(II) intel(0): VR01: 0x0000
(II) intel(0): VR30: 0x0000
(II) intel(0): VR40: 0x3400
(II) intel(0): VR80: 0x0000
(II) intel(0): VR81: 0x0000
(II) intel(0): VR82: 0x000b
(II) intel(0): VR83: 0x000b
(II) intel(0): VR84: 0x000a
(II) intel(0): VR85: 0x000a
(II) intel(0): VR86: 0x000a
(II) intel(0): VR87: 0x000a
(II) intel(0): VR88: 0x000a
(II) intel(0): VR8E: 0x0002
(II) intel(0): VR8F: 0x0003
(II) intel(0): Output configuration:
(II) intel(0):   Pipe A is on
(II) intel(0):   Display plane A is now enabled and connected to pipe A.
(II) intel(0):   Pipe B is off
(II) intel(0):   Display plane B is now disabled and connected to pipe B.
(II) intel(0):   Output VGA is connected to pipe none
(II) intel(0):   Output LVDS is connected to pipe A
(II) intel(0): RandR 1.2 enabled, ignore the following RandR disabled
message.
(==) intel(0): DPMS enabled
(==) intel(0): Intel XvMC decoder disabled
(II) intel(0): Set up overlay video
(II) intel(0): direct rendering: DRI2 Enabled
(--) RandR disabled
(II) Initializing built-in extension Generic Event Extension
(II) Initializing built-in extension SHAPE
(II) Initializing built-in extension MIT-SHM
(II) Initializing built-in extension XInputExtension
(II) Initializing built-in extension XTEST
(II) Initializing built-in extension BIG-REQUESTS
(II) Initializing built-in extension SYNC
(II) Initializing built-in extension XKEYBOARD
(II) Initializing built-in extension XC-MISC
(II) Initializing built-in extension SECURITY
(II) Initializing built-in extension XINERAMA
(II) Initializing built-in extension XFIXES
(II) Initializing built-in extension RENDER
(II) Initializing built-in extension RANDR
(II) Initializing built-in extension COMPOSITE
(II) Initializing built-in extension DAMAGE
SELinux: Disabled on system, not enabling in X server
(II) AIGLX: enabled GLX_MESA_copy_sub_buffer
(II) AIGLX: enabled GLX_SGI_make_current_read
(II) AIGLX: enabled GLX_SGI_swap_control and GLX_MESA_swap_control
(II) AIGLX: GLX_EXT_texture_from_pixmap backed by buffer objects
(II) AIGLX: Loaded and initialized /usr/lib/dri/i915_dri.so
(II) GLX: Initialized DRI2 GL provider for screen 0
(II) intel(0): Setting screen physical size to 270 x 203
(II) config/udev: Adding input device Power Button (/dev/input/event4)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(II) LoadModule: "evdev"
(II) Loading /usr/lib/xorg/modules/input/evdev_drv.so
(II) Module evdev: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 2.3.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event4"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Video Bus (/dev/input/event6)
(**) Video Bus: Applying InputClass "evdev keyboard catchall"
(**) Video Bus: always reports core events
(**) Video Bus: Device: "/dev/input/event6"
(II) Video Bus: Found keys
(II) Video Bus: Configuring as keyboard
(II) XINPUT: Adding extended input device "Video Bus" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Power Button (/dev/input/event1)
(**) Power Button: Applying InputClass "evdev keyboard catchall"
(**) Power Button: always reports core events
(**) Power Button: Device: "/dev/input/event1"
(II) Power Button: Found keys
(II) Power Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Power Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device Lid Switch (/dev/input/event2)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device Sleep Button (/dev/input/event3)
(**) Sleep Button: Applying InputClass "evdev keyboard catchall"
(**) Sleep Button: always reports core events
(**) Sleep Button: Device: "/dev/input/event3"
(II) Sleep Button: Found keys
(II) Sleep Button: Configuring as keyboard
(II) XINPUT: Adding extended input device "Sleep Button" (type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device AT Translated Set 2 keyboard
(/dev/input/event0)
(**) AT Translated Set 2 keyboard: Applying InputClass "evdev keyboard
catchall"
(**) AT Translated Set 2 keyboard: always reports core events
(**) AT Translated Set 2 keyboard: Device: "/dev/input/event0"
(II) AT Translated Set 2 keyboard: Found keys
(II) AT Translated Set 2 keyboard: Configuring as keyboard
(II) XINPUT: Adding extended input device "AT Translated Set 2 keyboard"
(type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad
(/dev/input/event7)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "evdev touchpad
catchall"
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) LoadModule: "synaptics"
(II) Loading /usr/lib/xorg/modules/input/synaptics_drv.so
(II) Module synaptics: vendor="X.Org Foundation"
	compiled for 1.7.6.901, module version = 1.2.2
	Module class: X.Org XInput Driver
	ABI class: X.Org XInput driver, version 7.0
(II) Synaptics touchpad driver version 1.2.2
(**) Option "Device" "/dev/input/event7"
(II) SynPS/2 Synaptics TouchPad: x-axis range 1472 - 5472
(II) SynPS/2 Synaptics TouchPad: y-axis range 1408 - 4448
(II) SynPS/2 Synaptics TouchPad: pressure range 0 - 255
(II) SynPS/2 Synaptics TouchPad: finger width range 0 - 0
(II) SynPS/2 Synaptics TouchPad: buttons: left right middle double triple
(--) SynPS/2 Synaptics TouchPad: touchpad found
(**) SynPS/2 Synaptics TouchPad: always reports core events
(II) XINPUT: Adding extended input device "SynPS/2 Synaptics TouchPad"
(type: TOUCHPAD)
(**) SynPS/2 Synaptics TouchPad: (accel) keeping acceleration scheme 1
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration profile 0
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration factor: 2.000
(**) SynPS/2 Synaptics TouchPad: (accel) acceleration threshold: 4
(--) SynPS/2 Synaptics TouchPad: touchpad found
(II) config/udev: Adding input device SynPS/2 Synaptics TouchPad
(/dev/input/mouse0)
(**) SynPS/2 Synaptics TouchPad: Applying InputClass "touchpad catchall"
(II) Synaptics touchpad driver version 1.2.2
SynPS/2 Synaptics TouchPad no synaptics event device found
(**) Option "Device" "/dev/input/mouse0"
Query no Synaptics: 6003C8
(--) SynPS/2 Synaptics TouchPad: no supported touchpad found
(EE) SynPS/2 Synaptics TouchPad Unable to query/initialize Synaptics
hardware.
(EE) PreInit failed for input device "SynPS/2 Synaptics TouchPad"
(II) UnloadModule: "synaptics"
(II) config/udev: Adding input device PC Speaker (/dev/input/event5)
(II) No input driver/identifier specified (ignoring)
(II) config/udev: Adding input device ACPI Virtual Keyboard Device
(/dev/input/event8)
(**) ACPI Virtual Keyboard Device: Applying InputClass "evdev keyboard
catchall"
(**) ACPI Virtual Keyboard Device: always reports core events
(**) ACPI Virtual Keyboard Device: Device: "/dev/input/event8"
(II) ACPI Virtual Keyboard Device: Found keys
(II) ACPI Virtual Keyboard Device: Configuring as keyboard
(II) XINPUT: Adding extended input device "ACPI Virtual Keyboard Device"
(type: KEYBOARD)
(**) Option "xkb_rules" "evdev"
(**) Option "xkb_model" "pc105"
(**) Option "xkb_layout" "de"
(**) Option "xkb_variant" "nodeadkeys"
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) intel(0): I2C bus "CRTDDC_A" initialized.
(II) intel(0): I2C bus "CRTDDC_A" removed.
(II) config/udev: Adding input device Logitech USB Optical Mouse
(/dev/input/event9)
(**) Logitech USB Optical Mouse: Applying InputClass "evdev pointer catchall"
(**) Logitech USB Optical Mouse: always reports core events
(**) Logitech USB Optical Mouse: Device: "/dev/input/event9"
(II) Logitech USB Optical Mouse: Found 3 mouse buttons
(II) Logitech USB Optical Mouse: Found scroll wheel(s)
(II) Logitech USB Optical Mouse: Found relative axes
(II) Logitech USB Optical Mouse: Found x and y relative axes
(II) Logitech USB Optical Mouse: Configuring as mouse
(**) Logitech USB Optical Mouse: YAxisMapping: buttons 4 and 5
(**) Logitech USB Optical Mouse: EmulateWheelButton: 4,
EmulateWheelInertia: 10, EmulateWheelTimeout: 200
(II) XINPUT: Adding extended input device "Logitech USB Optical Mouse"
(type: MOUSE)
(II) Logitech USB Optical Mouse: initialized for relative axes.
(II) config/udev: Adding input device Logitech USB Optical Mouse
(/dev/input/mouse1)
(II) No input driver/identifier specified (ignoring)

udev information:
P: /devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
N: input/event4
S: char/13:68
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXPWRBN:00/input/input4/event4
E: SUBSYSTEM=input
E: DEVNAME=input/event4
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=68
E: DEVLINKS=/dev/char/13:68
E: DMI_VENDOR=Dell Computer Corporation

P:
/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input6/event6
N: input/event6
S: char/13:70
E: UDEV_LOG=3
E:
DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0A03:00/LNXVIDEO:00/input/input6/event6
E: SUBSYSTEM=input
E: DEVNAME=input/event6
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=70
E: DEVLINKS=/dev/char/13:70
E: DMI_VENDOR=Dell Computer Corporation

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
N: input/event1
S: char/13:65
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0C:00/input/input1/event1
E: SUBSYSTEM=input
E: DEVNAME=input/event1
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=65
E: DEVLINKS=/dev/char/13:65
E: DMI_VENDOR=Dell Computer Corporation

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
N: input/event2
S: char/13:66
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0D:00/input/input2/event2
E: SUBSYSTEM=input
E: DEVNAME=input/event2
E: ID_INPUT=1
E: DMI_VENDOR=Dell Computer Corporation
E: MAJOR=13
E: MINOR=66
E: DEVLINKS=/dev/char/13:66

P: /devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
N: input/event3
S: char/13:67
E: UDEV_LOG=3
E: DEVPATH=/devices/LNXSYSTM:00/LNXSYBUS:00/PNP0C0E:00/input/input3/event3
E: SUBSYSTEM=input
E: DEVNAME=input/event3
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=67
E: DEVLINKS=/dev/char/13:67
E: DMI_VENDOR=Dell Computer Corporation

P: /devices/pci0000:00/0000:00:1d.0/usb1/1-2/1-2:1.0/input/input9/event9
N: input/event9
S: char/13:73
S: input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-mouse
E: UDEV_LOG=3
E:
DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb1/1-2/1-2:1.0/input/input9/event9
E: SUBSYSTEM=input
E: DEVNAME=input/event9
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c00c
E: ID_REVISION=2110
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
E: MAJOR=13
E: MINOR=73
E: DEVLINKS=/dev/char/13:73
/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-event-mouse
/dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-event-mouse

P: /devices/pci0000:00/0000:00:1d.0/usb1/1-2/1-2:1.0/input/input9/mouse1
N: input/mouse1
S: char/13:33
S: input/by-id/usb-Logitech_USB_Optical_Mouse-mouse
S: input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-mouse
E: UDEV_LOG=3
E:
DEVPATH=/devices/pci0000:00/0000:00:1d.0/usb1/1-2/1-2:1.0/input/input9/mouse1
E: SUBSYSTEM=input
E: DEVNAME=input/mouse1
E: ID_INPUT=1
E: ID_INPUT_MOUSE=1
E: ID_VENDOR=Logitech
E: ID_VENDOR_ENC=Logitech
E: ID_VENDOR_ID=046d
E: ID_MODEL=USB_Optical_Mouse
E: ID_MODEL_ENC=USB\x20Optical\x20Mouse
E: ID_MODEL_ID=c00c
E: ID_REVISION=2110
E: ID_SERIAL=Logitech_USB_Optical_Mouse
E: ID_TYPE=hid
E: ID_BUS=usb
E: ID_USB_INTERFACES=:030102:
E: ID_USB_INTERFACE_NUM=00
E: ID_USB_DRIVER=usbhid
E: ID_PATH=pci-0000:00:1d.0-usb-0:2:1.0
E: MAJOR=13
E: MINOR=33
E: DEVLINKS=/dev/char/13:33
/dev/input/by-id/usb-Logitech_USB_Optical_Mouse-mouse
/dev/input/by-path/pci-0000:00:1d.0-usb-0:2:1.0-mouse

P: /devices/platform/i8042/serio0/input/input0/event0
N: input/event0
S: char/13:64
S: input/by-path/platform-i8042-serio-0-event-kbd
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio0/input/input0/event0
E: SUBSYSTEM=input
E: DEVNAME=input/event0
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-0
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=64
E: DEVLINKS=/dev/char/13:64
/dev/input/by-path/platform-i8042-serio-0-event-kbd
E: DMI_VENDOR=Dell Computer Corporation

P: /devices/platform/i8042/serio4/input/input7/event7
N: input/event7
S: char/13:71
S: input/by-path/platform-i8042-serio-4-event-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/input/input7/event7
E: SUBSYSTEM=input
E: DEVNAME=input/event7
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-4
E: DMI_VENDOR=Dell Computer Corporation
E: MAJOR=13
E: MINOR=71
E: DEVLINKS=/dev/char/13:71
/dev/input/by-path/platform-i8042-serio-4-event-mouse

P: /devices/platform/i8042/serio4/input/input7/mouse0
N: input/mouse0
S: char/13:32
S: input/by-path/platform-i8042-serio-4-mouse
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/i8042/serio4/input/input7/mouse0
E: SUBSYSTEM=input
E: DEVNAME=input/mouse0
E: ID_INPUT=1
E: ID_INPUT_TOUCHPAD=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-i8042-serio-4
E: MAJOR=13
E: MINOR=32
E: DEVLINKS=/dev/char/13:32 /dev/input/by-path/platform-i8042-serio-4-mouse

P: /devices/platform/pcspkr/input/input5/event5
N: input/event5
S: char/13:69
S: input/by-path/platform-pcspkr-event-spkr
E: UDEV_LOG=3
E: DEVPATH=/devices/platform/pcspkr/input/input5/event5
E: SUBSYSTEM=input
E: DEVNAME=input/event5
E: ID_INPUT=1
E: ID_SERIAL=noserial
E: ID_PATH=platform-pcspkr
E: DMI_VENDOR=Dell Computer Corporation
E: MAJOR=13
E: MINOR=69
E: DEVLINKS=/dev/char/13:69 /dev/input/by-path/platform-pcspkr-event-spkr

P: /devices/virtual/input/input8/event8
N: input/event8
S: char/13:72
E: UDEV_LOG=3
E: DEVPATH=/devices/virtual/input/input8/event8
E: SUBSYSTEM=input
E: DEVNAME=input/event8
E: ID_INPUT=1
E: ID_INPUT_KEY=1
E: ID_INPUT_KEYBOARD=1
E: ID_SERIAL=noserial
E: XKBMODEL=pc105
E: XKBLAYOUT=de
E: XKBVARIANT=nodeadkeys
E: MAJOR=13
E: MINOR=72
E: DEVLINKS=/dev/char/13:72
E: DMI_VENDOR=Dell Computer Corporation

DRM Information from dmesg:
[    1.196455] Linux agpgart interface v0.103
[    1.196650] agpgart-intel 0000:00:00.0: Intel 830M Chipset
[    1.197743] agpgart-intel 0000:00:00.0: detected 8060K stolen memory
[    1.199504] agpgart-intel 0000:00:00.0: AGP aperture is 128M @ 0xe8000000
[   19.095570] [drm] Initialized drm 1.1.0 20060810
[   19.675397] [drm] KMS is not supported on this GPU
[   19.707093] [drm] Initialized i915 1.6.0 20080730 for 0000:00:02.0 on
minor 0


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing')
Architecture: i386 (i686)

Kernel: Linux 2.6.32-5-686 (SMP w/1 CPU core)
Locale: LANG=de_DE.UTF-8, LC_CTYPE=de_DE.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/dash

Versions of packages xserver-xorg-video-intel depends on:
ii  libc6                  2.11.2-6+squeeze1 Embedded GNU C Library:
Shared lib
ii  libdrm-intel1          2.4.21-1~squeeze3 Userspace interface to
intel-speci
ii  libdrm2                2.4.21-1~squeeze3 Userspace interface to kernel
DRM
ii  libpciaccess0          0.12.0-1          Generic PCI access library for X
ii  libxext6               2:1.1.2-1         X11 miscellaneous extension
librar
ii  libxfixes3             1:4.0.5-1         X11 miscellaneous 'fixes'
extensio
ii  libxv1                 2:1.0.5-1         X11 Video extension library
ii  libxvmc1               2:1.0.5-1         X11 Video extension library
ii  xserver-xorg-core [xor 2:1.7.7-8         Xorg X server - core server

xserver-xorg-video-intel recommends no packages.

xserver-xorg-video-intel suggests no packages.

-- no debconf information





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 10:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 10:00:05 GMT) Full text and rfc822 format available.

Message #10 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Subject: Re: Bug#601558: Acknowledgement ([i830] Black screen with kms and i915 again)
Date: Wed, 27 Oct 2010 11:56:39 +0200
I forgot to mention that I also tried the package

   xserver-xorg-video-intel-2:2.13.0+git20101017.33133a1d-1

from http://autobuild.ikibiki.org/.  Unfortunately that
didn't help at all.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 14:00:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 14:00:03 GMT) Full text and rfc822 format available.

Message #15 received at 601558@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: sander@zedat.fu-berlin.de, 601558@bugs.debian.org
Subject: Re: Bug#601558: [i830] Black screen with kms and i915 again
Date: Wed, 27 Oct 2010 15:57:22 +0200
[Message part 1 (text/plain, inline)]
Hi Oliver,

sander@zedat.fu-berlin.de <sander@zedat.fu-berlin.de> (27/10/2010):
> The system appears to be working, but I can get neither X nor a text
> console.  The symptoms are hence the same as bug 593432 (and maybe I
> should have reopened that one rather than filing a new bug report).

could you please log in through ssh (if it's available) and try and
gather X log and dmesg at that time? You could use the bug script to
fetch everything, and attach it:
  /usr/share/bug/xserver-xorg/script 3>~/script.log

(And thanks for also checking the version on autobuild.i.o)

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 15:09:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 15:09:05 GMT) Full text and rfc822 format available.

Message #20 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 601558@bugs.debian.org
Subject: Re: Bug#601558: [i830] Black screen with kms and i915 again
Date: Wed, 27 Oct 2010 17:04:25 +0200
[Message part 1 (text/plain, inline)]
Thanks for the quick response.  Here are the X log and the dmesg output.
best,
Oliver
[601558_1.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 21:39:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 21:39:03 GMT) Full text and rfc822 format available.

Message #25 received at 601558@bugs.debian.org (full text, mbox):

From: "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>
To: 601558@bugs.debian.org
Subject: The same problem in two other machines
Date: Wed, 27 Oct 2010 23:27:56 +0200
I have similar problem in my two machines - one laptop and one desktop.
In fact after the problem appears, screen gets black and I'm not able to
ssh into these machines to get any logs.
I have reported more details to lkml:
http://lkml.org/lkml/2010/10/26/466
http://lkml.org/lkml/2010/10/27/60

As a workaround I had to switch to "vesa" driver, however with this 
driver the
external VGA output in my laptop doesn't work correctly (the media projector
displays too dark and slightly too wide image).





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 27 Oct 2010 21:39:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 27 Oct 2010 21:39:05 GMT) Full text and rfc822 format available.

Message #30 received at 601558@bugs.debian.org (full text, mbox):

From: "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>
To: 601558@bugs.debian.org
Subject: Yet another comment regarding this bug and 593432
Date: Wed, 27 Oct 2010 23:36:45 +0200
The Submitter of this bug report mentioned that it may be "resurrected" 
bug #593432.
In fact the 593432 has been "fixed" by either disabling (in config file) 
or blacklisting KMS for some chipsets.

Now the authors of xserver-xorg-video-intel made KMS mandatory,
so all users of the problematic chipsets (in my case 82865G and 945GM)
have run into the same problem again :-(.





Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Thu, 28 Oct 2010 09:39:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 28 Oct 2010 09:39:07 GMT) Full text and rfc822 format available.

Message #35 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Subject: Relation to 593432
Date: Thu, 28 Oct 2010 11:35:00 +0200
I should mention that this bug and 593432 were the same machine.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Thu, 28 Oct 2010 22:18:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cyril Brulebois <kibi@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 28 Oct 2010 22:18:06 GMT) Full text and rfc822 format available.

Message #40 received at 601558@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Oliver Sander <sander@mi.fu-berlin.de>, 601558@bugs.debian.org
Subject: Re: Bug#601558: [i830] Black screen with kms and i915 again
Date: Fri, 29 Oct 2010 00:14:47 +0200
[Message part 1 (text/plain, inline)]
Oliver Sander <sander@mi.fu-berlin.de> (27/10/2010):
> Thanks for the quick response.  Here are the X log and the dmesg
> output.

Thanks; could we also get a full dmesg in the same conditions?

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Fri, 29 Oct 2010 17:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 29 Oct 2010 17:54:03 GMT) Full text and rfc822 format available.

Message #45 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 601558@bugs.debian.org
Subject: Re: Bug#601558: [i830] Black screen with kms and i915 again
Date: Fri, 29 Oct 2010 19:51:14 +0200
Of course, but it'll be a few days before I have access to the
machine again.

Am 29.10.2010 00:14, schrieb Cyril Brulebois:
> Oliver Sander<sander@mi.fu-berlin.de>  (27/10/2010):
>    
>> Thanks for the quick response.  Here are the X log and the dmesg
>> output.
>>      
> Thanks; could we also get a full dmesg in the same conditions?
>
> Mraw,
> KiBi.
>    






Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Fri, 29 Oct 2010 21:24:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 29 Oct 2010 21:24:03 GMT) Full text and rfc822 format available.

Message #50 received at 601558@bugs.debian.org (full text, mbox):

From: "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>
To: 601558@bugs.debian.org
Subject: Debian standard 2.6.32-5 does not suffer from this problem.
Date: Fri, 29 Oct 2010 23:20:17 +0200
[Message part 1 (text/plain, inline)]
My 82865G based system boots correctly with the standard 
linux-image-2.6.32-5-686 kernel.
I tried to copy settings related to DRM, framebuffers and other graphics 
related options from 2.6.32-5 to my self-compiled 2.6.36 kernel, but it 
still hangs.
I attach both config files (gzipped to spare bandwidth).

[config-2.6.32-5-686.gz (application/x-gzip, attachment)]
[config-2.6.36-wzab.gz (application/x-gzip, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Fri, 29 Oct 2010 21:54:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 29 Oct 2010 21:54:03 GMT) Full text and rfc822 format available.

Message #55 received at 601558@bugs.debian.org (full text, mbox):

From: "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>
To: 601558@bugs.debian.org
Subject: SOLVED? CONFIG_FRAMEBUFFER_CONSOLE=y solved the problem
Date: Fri, 29 Oct 2010 23:50:47 +0200
I ve set two options in my kernel configuration:
CONFIG_FRAMEBUFFER_CONSOLE=y
CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=y

Now the system boots correctly with KMS switched on.





Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Sat, 30 Oct 2010 08:24:03 GMT) Full text and rfc822 format available.

Notification sent to sander@zedat.fu-berlin.de:
Bug acknowledged by developer. (Sat, 30 Oct 2010 08:24:03 GMT) Full text and rfc822 format available.

Message #60 received at 601558-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: "wzabolot@elektron.elka.pw.edu.pl" <W.Zabolotny@elka.pw.edu.pl>, 601558-done@bugs.debian.org
Subject: Re: Bug#601558: SOLVED? CONFIG_FRAMEBUFFER_CONSOLE=y solved the problem
Date: Sat, 30 Oct 2010 10:15:51 +0200
[Message part 1 (text/plain, inline)]
wzabolot@elektron.elka.pw.edu.pl <W.Zabolotny@elka.pw.edu.pl> (29/10/2010):
> I ve set two options in my kernel configuration:
> CONFIG_FRAMEBUFFER_CONSOLE=y
> CONFIG_FRAMEBUFFER_CONSOLE_ROTATION=y
> 
> Now the system boots correctly with KMS switched on.

Great. Closing this bug.

Mraw,
KiBi.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Sat, 30 Oct 2010 18:45:07 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 30 Oct 2010 18:45:07 GMT) Full text and rfc822 format available.

Message #65 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Cc: Debian Bug Tracking System <owner@bugs.debian.org>, Cyril Brulebois <kibi@debian.org>
Subject: Re: Bug#601558 closed by Cyril Brulebois <kibi@debian.org> (Re: Bug#601558: SOLVED? CONFIG_FRAMEBUFFER_CONSOLE=y solved the problem)
Date: Sat, 30 Oct 2010 20:43:19 +0200
I don't really see how that solves my problem.  I am using the regular
squeeze kernel, and both options are set there.  Still I don't have a
working display.

I will follow Cesare Leonardis suggestion in the 600802 thread and
try the kernel and x driver from experimental.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Sat, 30 Oct 2010 19:39:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Cesare Leonardi <celeonar@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sat, 30 Oct 2010 19:39:05 GMT) Full text and rfc822 format available.

Message #70 received at 601558@bugs.debian.org (full text, mbox):

From: Cesare Leonardi <celeonar@gmail.com>
To: 601558@bugs.debian.org, 600802@bugs.debian.org
Subject: Re: Bug#601558: closed by Cyril Brulebois <kibi@debian.org> (Re: Bug#601558: SOLVED? CONFIG_FRAMEBUFFER_CONSOLE=y solved the problem)
Date: Sat, 30 Oct 2010 21:35:47 +0200
On 10/30/2010 08:43 PM, Oliver Sander wrote:
> I will follow Cesare Leonardis suggestion in the 600802 thread and
> try the kernel and x driver from experimental.

Yes, my reply was for #601558, not for #600802.
Thank you Oliver for noticing my error.

Cesare.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Tue, 02 Nov 2010 06:49:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to sander@zedat.fu-berlin.de:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Nov 2010 06:49:03 GMT) Full text and rfc822 format available.

Message #75 received at 601558@bugs.debian.org (full text, mbox):

From: sander@zedat.fu-berlin.de
To: 601558@bugs.debian.org
Subject: Full dmesg output
Date: Tue, 2 Nov 2010 07:35:07 +0100
[Message part 1 (text/plain, inline)]
Here is the full dmesg output.
[dmesg.log (text/x-log, attachment)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Tue, 02 Nov 2010 10:30:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Alain Prignet <alain.prignet@univ-mlv.fr>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Tue, 02 Nov 2010 10:30:03 GMT) Full text and rfc822 format available.

Message #80 received at 601558@bugs.debian.org (full text, mbox):

From: Alain Prignet <alain.prignet@univ-mlv.fr>
To: 601558@bugs.debian.org
Subject: experimental kernel
Date: Tue, 2 Nov 2010 11:03:05 +0100
Hello,

I think that I have opened the bug : 
http://bugs.debian.org/cgi-bin/bugreport.cgi?bug=601889
for the same problem. I also have a 830 card that does not work with
kms.

I have tried the debian experimental kernel 2.6.36. With this one, KMS
is working (but very instable and quite unusable) with i915 module.
This is not the case with the squeeze kernel.

Sincerely,

Alain




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 03 Nov 2010 22:33:08 GMT) Full text and rfc822 format available.

Acknowledgement sent to sander@zedat.fu-berlin.de:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 03 Nov 2010 22:33:08 GMT) Full text and rfc822 format available.

Message #85 received at 601558@bugs.debian.org (full text, mbox):

From: sander@zedat.fu-berlin.de
To: 601558@bugs.debian.org
Subject: Working with experimental xserver-xorg-video-intel and kernel
Date: Wed, 3 Nov 2010 23:32:25 +0100
I have now tried the 2.6.36-rc6 kernel and xserver-xorg-video-intel
2.13.0-1, both from experimental.  My display works now nicely, with kms,
both in text mode and with X.  Great!  There are a few minor glitches:
- sometimes I cannot switch back from text mode to X (screen stays black)
- restarting kdm made my mouse pointer disappear.
But overall the system appears well usable, if you stay away from the
nerdy stuff like text mode.

thanks,
Oliver

P.S.: Should this bug not be reopened?  It is definitely not fixed in
squeeze.





Changed Bug submitter to 'Oliver Sander <sander@mi.fu-berlin.de>' from 'sander@zedat.fu-berlin.de' Request was from Oliver Sander <sander@mi.fu-berlin.de> to control@bugs.debian.org. (Fri, 05 Nov 2010 10:03:03 GMT) Full text and rfc822 format available.

Did not alter fixed versions and reopened. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Fri, 05 Nov 2010 10:03:04 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Mon, 15 Nov 2010 13:27:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 15 Nov 2010 13:27:05 GMT) Full text and rfc822 format available.

Message #94 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Subject: Re: Working with experimental xserver-xorg-video-intel and kernel
Date: Mon, 15 Nov 2010 14:23:23 +0100
Now that xserver-xorg-video-intel 2.13.0-2 appeared in unstable
I tried that package.  As was to be expected, together with
the squeeze kernel there is still no functioning display.

On the other hand, with the 2.6.36-rc6 kernel the display and
X appeared to be working property.  This seemed like a step
forward.  Thank you for that.

However, after two days of testing a new problem surfaced:
it appears that every time the computer is left without input events for 
a few
minutes the X output becomes garbled and the X server freezes.
I had to revert the kernel and intel driver packages yet again.

I know that this information is not precise enough to be of much
help.  The problem has been reported to me by the person who
uses the machine for work.  Please let me know what I can do
to help track down the problem.




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Thu, 09 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Acknowledgement sent to Robert David <robert.david.public@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Thu, 09 Dec 2010 22:51:06 GMT) Full text and rfc822 format available.

Message #99 received at 601558@bugs.debian.org (full text, mbox):

From: Robert David <robert.david.public@gmail.com>
To: 601558@bugs.debian.org
Subject: Blnak screen
Date: Thu, 9 Dec 2010 23:48:52 +0100
[Message part 1 (text/plain, inline)]
I can confirm this bug. I halve intel GMA945 and resolution 1024x600. Display 
turn black when KMS start. I can login (blindly) and than suspend (hotkey), 
after resume the screen is ok. I dont think disabling KMS is the solution, I 
use KMS for a long time and had this problem since the last few kernel updates 
2.6.32-5-686. When I plugin VGA display in and boot, I can see the login 
screen on both displays with resolution 800x600. So it may be something with 
startup mode selection.

Robert David.
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Sun, 09 Jan 2011 15:15:09 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Jan 2011 15:15:09 GMT) Full text and rfc822 format available.

Message #104 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Subject: Still not working with kernel in squeeze
Date: Sun, 09 Jan 2011 16:10:57 +0100
[Message part 1 (text/plain, inline)]
I tried this again after an update to today's squeeze, with kernel 2.6.32-29
and xserver-xorg-video-intel 2:2.13.0-5.  Unfortunately, the problem remains
unchanged: the screen turns black when the frame buffer is switched on,
and there is no way to get a text console let alone X.

I also tried with the current kernel from experimental: 2.6.37-rc7.
That seems to work nicely.  I didn't encounter any serious problems after
about an hour of playing around with it.  In particular, the X server
freezes I reported above with the 2.6.36 kernel appear to have gone.

As this bug is not ranked important enough to be fixed in squeeze,
and it already is fixed in post-squeeze, feel free to close this bug report.
Thank you guys for your help!

Oliver
[Message part 2 (text/html, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Sun, 09 Jan 2011 16:00:02 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Jan 2011 16:00:03 GMT) Full text and rfc822 format available.

Message #109 received at 601558@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Robert David <robert.david.public@gmail.com>, 601558@bugs.debian.org
Subject: Re: Bug#601558: Blnak screen
Date: Sun, 9 Jan 2011 16:56:44 +0100
[Message part 1 (text/plain, inline)]
On Thu, Dec  9, 2010 at 23:48:52 +0100, Robert David wrote:

> I can confirm this bug. I halve intel GMA945 and resolution 1024x600. Display 
> turn black when KMS start. I can login (blindly) and than suspend (hotkey), 
> after resume the screen is ok. I dont think disabling KMS is the solution, I 
> use KMS for a long time and had this problem since the last few kernel updates 
> 2.6.32-5-686. When I plugin VGA display in and boot, I can see the login 
> screen on both displays with resolution 800x600. So it may be something with 
> startup mode selection.
> 
Please don't mix up your issues in someone else's bug report.  If you
have problems, file a separate report for them.

Thanks,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Sun, 09 Jan 2011 16:03:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Julien Cristau <jcristau@debian.org>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Sun, 09 Jan 2011 16:03:03 GMT) Full text and rfc822 format available.

Message #114 received at 601558@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Oliver Sander <sander@mi.fu-berlin.de>, 601558@bugs.debian.org
Subject: Re: Bug#601558: Still not working with kernel in squeeze
Date: Sun, 9 Jan 2011 17:00:12 +0100
[Message part 1 (text/plain, inline)]
On Sun, Jan  9, 2011 at 16:10:57 +0100, Oliver Sander wrote:

> I tried this again after an update to today's squeeze, with kernel 2.6.32-29
> and xserver-xorg-video-intel 2:2.13.0-5.  Unfortunately, the problem remains
> unchanged: the screen turns black when the frame buffer is switched on,
> and there is no way to get a text console let alone X.
> 
> I also tried with the current kernel from experimental: 2.6.37-rc7.
> That seems to work nicely.  I didn't encounter any serious problems after
> about an hour of playing around with it.  In particular, the X server
> freezes I reported above with the 2.6.36 kernel appear to have gone.
> 
> As this bug is not ranked important enough to be fixed in squeeze,
> and it already is fixed in post-squeeze, feel free to close this bug report.
> Thank you guys for your help!
> 
Can you try adding commit 897493504addc5609f04a2c4f73c37ab972c29b2 on
top of squeeze's kernel, see if that improves things for you?

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Wed, 12 Jan 2011 20:06:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Wed, 12 Jan 2011 20:06:03 GMT) Full text and rfc822 format available.

Message #119 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: Julien Cristau <jcristau@debian.org>
Cc: 601558@bugs.debian.org
Subject: Re: Bug#601558: Still not working with kernel in squeeze
Date: Wed, 12 Jan 2011 21:02:47 +0100
Sorry for the delay.  I tried the patch and it didn't seem to change
anything.  Let me know if you're interested in logfiles and such.
Best,
Oliver




Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#601558; Package xserver-xorg-video-intel. (Fri, 14 Jan 2011 17:00:05 GMT) Full text and rfc822 format available.

Acknowledgement sent to Oliver Sander <sander@mi.fu-berlin.de>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Fri, 14 Jan 2011 17:00:05 GMT) Full text and rfc822 format available.

Message #124 received at 601558@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: 601558@bugs.debian.org
Subject: Re: Bug#601558: Still not working with kernel in squeeze
Date: Fri, 14 Jan 2011 17:49:09 +0100
Would it make sense to do a bisection on the kernels from 
snapshot.debian.org
between the one in testing and the one in experimental?




Reply sent to Cyril Brulebois <kibi@debian.org>:
You have taken responsibility. (Tue, 22 Feb 2011 20:48:04 GMT) Full text and rfc822 format available.

Notification sent to Oliver Sander <sander@mi.fu-berlin.de>:
Bug acknowledged by developer. (Tue, 22 Feb 2011 20:48:04 GMT) Full text and rfc822 format available.

Message #129 received at 601558-done@bugs.debian.org (full text, mbox):

From: Cyril Brulebois <kibi@debian.org>
To: Oliver Sander <sander@mi.fu-berlin.de>, 601558-done@bugs.debian.org
Subject: Re: Bug#601558: Still not working with kernel in squeeze
Date: Tue, 22 Feb 2011 21:45:18 +0100
[Message part 1 (text/plain, inline)]
Hi Oliver,

Oliver Sander <sander@mi.fu-berlin.de> (09/01/2011):
> I also tried with the current kernel from experimental: 2.6.37-rc7.
> That seems to work nicely.  I didn't encounter any serious problems
> after about an hour of playing around with it.  In particular, the X
> server freezes I reported above with the 2.6.36 kernel appear to
> have gone.
> 
> As this bug is not ranked important enough to be fixed in squeeze,
> and it already is fixed in post-squeeze, feel free to close this bug
> report.  Thank you guys for your help!

I'm not sure you really want to go the big bisecting route. But if
somebody comes up with a tested patch against squeeze's kernel, I
guess it's worth trying to bring it to the kernel team.

About old cards support, it looks like upstream is getting better
results with 855+, while 830/845 would need a miracle.

Our plans[1] are to provide new drivers through squeeze-backports, and
suggest people to try a backported kernel. I'm not sure we can do much
more.

 1. http://pkg-xorg.alioth.debian.org/reference/squeeze-backports.html

I'm closing this bug accordingly.

Thanks for *your* help as well.

KiBi.
[signature.asc (application/pgp-signature, inline)]

Message #130 received at 601558-done@bugs.debian.org (full text, mbox):

From: Oliver Sander <sander@mi.fu-berlin.de>
To: Cyril Brulebois <kibi@debian.org>
Cc: 601558-done@bugs.debian.org
Subject: Re: Bug#601558: Still not working with kernel in squeeze
Date: Wed, 23 Feb 2011 10:29:27 +0100
Hi Cyril!
> I'm not sure you really want to go the big bisecting route. But if
> somebody comes up with a tested patch against squeeze's kernel, I
> guess it's worth trying to bring it to the kernel team.
>    
That won't be me, I'm afraid.  Cooking up kernel driver patches
is beyond my abilities.  But I am willing to do more testing.
> Our plans[1] are to provide new drivers through squeeze-backports, and
> suggest people to try a backported kernel. I'm not sure we can do much
> more.
>    
Can this bug be added to the list of known issues at
http://www.debian.org/releases/stable/debian-installer/ ?
I am worried for people that do a fresh install and are
left with a black screen.

> I'm closing this bug accordingly.
>    
Okay!

OS






Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Thu, 24 Mar 2011 07:41:02 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Wed Apr 23 18:39:48 2014; Machine Name: beach.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.